unit uDemo;

interface

uses                                         
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, AARLB, Menus, AARRight, Db, DBTables;

type
  TMainForm = class(TForm)
    InitialMenu: TMainMenu;
    Login1: TMenuItem;
    Admin1: TMenuItem;
    Exit2: TMenuItem;
    AdminMenu: TMainMenu;
    MaintainUser1: TMenuItem;
    Exit3: TMenuItem;
    AARRight1: TAARRight;
    DataSource1: TDataSource;
    Table1: TTable;
    ApplicationMenu: TMainMenu;
    InventorySystem1: TMenuItem;
    MasterFile1: TMenuItem;
    Item1: TMenuItem;
    AddItem1: TMenuItem;
    EditItem1: TMenuItem;
    DeleteItem1: TMenuItem;
    Unit1: TMenuItem;
    Store1: TMenuItem;
    Transaction1: TMenuItem;
    StockIn1: TMenuItem;
    Purchase1: TMenuItem;
    Edit1: TMenuItem;
    AddNew1: TMenuItem;
    Delete1: TMenuItem;
    SalesReturn1: TMenuItem;
    StockOut1: TMenuItem;
    Sales1: TMenuItem;
    PurchaseReturn1: TMenuItem;
    Adjustment1: TMenuItem;
    Report1: TMenuItem;
    DailyReport1: TMenuItem;
    InventoryStatus1: TMenuItem;
    DailyTransaction1: TMenuItem;
    DayEndListing1: TMenuItem;
    MonthlyReport1: TMenuItem;
    MonthlySales1: TMenuItem;
    MonthlyPurchase1: TMenuItem;
    YearlyReport1: TMenuItem;
    Accounting1: TMenuItem;
    ChartOfAccount1: TMenuItem;
    Customer1: TMenuItem;
    Vendor1: TMenuItem;
    GL1: TMenuItem;
    DataEntry1: TMenuItem;
    Posting1: TMenuItem;
    Report2: TMenuItem;
    TB1: TMenuItem;
    Ledger1: TMenuItem;
    AR1: TMenuItem;
    DataEntry2: TMenuItem;
    Posting2: TMenuItem;
    AP1: TMenuItem;
    DataEntry3: TMenuItem;
    Posting3: TMenuItem;
    Utility1: TMenuItem;
    Backup1: TMenuItem;
    Restore1: TMenuItem;
    VirusChecking1: TMenuItem;
    Login2: TMenuItem;
    Exit1: TMenuItem;
    procedure btnShowMessageClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Login1Click(Sender: TObject);
    procedure Admin1Click(Sender: TObject);
    procedure Exit3Click(Sender: TObject);
    procedure MaintainUser1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Item1Click(Sender: TObject);
    procedure Login2Click(Sender: TObject);
    procedure Exit2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses uAdminLogin, uUserLogin, uMaintainUser, uItemMaster;


{$R *.DFM}

procedure TMainForm.btnShowMessageClick(Sender: TObject);
begin
     ShowMessage('Thank you, this is message one!');
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
     Menu:=ApplicationMenu;
end;

procedure TMainForm.Button2Click(Sender: TObject);
begin
     ShowMessage('Test message three!');
end;

procedure TMainForm.Exit1Click(Sender: TObject);
begin
     Close;
end;

procedure TMainForm.Login1Click(Sender: TObject);
begin
     TUserLogin.Create(self).ShowModal;
end;

procedure TMainForm.Admin1Click(Sender: TObject);
begin
     TAdminLogin.Create(self).ShowModal;
end;

procedure TMainForm.Exit3Click(Sender: TObject);
begin
     if MainForm.MDIChildCount=0
        then begin
               Menu:=InitialMenu;
               TUserLogin.Create(self).ShowModal;
             end
        else ShowMessage('Please close all child windows first!');
end;

procedure TMainForm.MaintainUser1Click(Sender: TObject);
begin
     TMaintainUser.Create(self).ShowModal;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  Table1.DatabaseName := ExtractFilePath(Application.EXEName);
  Table1.TableName := 'UserFile.DBF';
  Table1.Active := True;
end;

procedure TMainForm.Item1Click(Sender: TObject);
begin
     TItemMaster.Create(self).Show;
end;

procedure TMainForm.Login2Click(Sender: TObject);
begin
     if MDIChildCount<>0
        then ShowMessage('Please close all child windows first!')
        else begin Menu:=InitialMenu; TUserLogin.Create(self).ShowModal end;
end;

procedure TMainForm.Exit2Click(Sender: TObject);
begin
     Close;
end;

end.
