unit uMaintainUser;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, AARLB, CheckLst, AARMCLB, Db, DBTables, DBCtrls,
  Grids, DBGrids;

type
  TMaintainUser = class(TForm)
    DataSource1: TDataSource;
    Table1: TTable;
    GroupBox1: TGroupBox;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    GroupBox2: TGroupBox;
    AARMenuCheckListBox1: TAARMenuCheckListBox;
    btnConfirm: TButton;
    btnGrantAll: TButton;
    btnRevokeAll: TButton;
    btnCancel: TButton;
    Label1: TLabel;
    procedure btnConfirmClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
    procedure btnGrantAllClick(Sender: TObject);
    procedure btnRevokeAllClick(Sender: TObject);
    procedure Table1AfterScroll(DataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MaintainUser: TMaintainUser;

implementation

uses uDemo;

{$R *.DFM}

procedure TMaintainUser.btnConfirmClick(Sender: TObject);
begin
     AARMenuCheckListBox1.SaveSetting;
     ShowMessage('Access right setting saved.');
end;

procedure TMaintainUser.FormCreate(Sender: TObject);
begin
 if not Table1.Active then
  begin
    Table1.DatabaseName := ExtractFilePath(Application.EXEName);
    Table1.TableName := 'UserFile.DBF';
    Table1.Active := True;
  end;
 Table1.First;
end;

procedure TMaintainUser.btnCloseClick(Sender: TObject);
begin
     Close;
end;

procedure TMaintainUser.btnCancelClick(Sender: TObject);
begin
     AARMenuCheckListBox1.LoadSetting;
end;

procedure TMaintainUser.btnGrantAllClick(Sender: TObject);
begin
     AARMenuCheckListBox1.GrantAllRight;
end;

procedure TMaintainUser.btnRevokeAllClick(Sender: TObject);
begin
     AARMenuCheckListBox1.RevokeAllRight;
end;

procedure TMaintainUser.Table1AfterScroll(DataSet: TDataSet);
begin
   if Table1.FieldByName('UserID').AsString<>'' then AARMenuCheckListBox1.LoadSetting;
end;

end.
